Subject: bug#14710: add-file-local-variable vs. unquoted string

From: Juri Linkov <[email-masked]>
Date: Tue, 25 Jun 2013 02:40:40 +0300

> Try
> M-x add-file-local-variable
> compile-command
> a b c
>
> Note how b c are thrown away.

That's because `add-file-local-variable' takes care about writing
only correct values that could be read later without errors.

> Yes the user should have typed "a b c",
> but still some warning should be printed upon throwing them away.

I have no idea how such a warning could be produced, and even
if we will found a way to detect the situation when it should be
displayed, you won't see it anyway because it will be instantaneously
overwritten in the echo area by another recently added message:
"For this change to take effect revisit file using `revert-buffer'".